png++ 0.2.10

Public Member Functions | Static Public Member Functions | List of all members
png::packed_pixel< bits > Class Template Reference

The packed pixel class template. More...

`#include <packed_pixel.hpp>`

Inheritance diagram for png::packed_pixel< bits >:

## Public Member Functions
| packed_pixel (byte value=0)
| operator byte () const

## Static Public Member Functions
static int | get_bit_depth ()
static byte | get_bit_mask ()

## Detailed Description

template<int bits>
class png::packed_pixel< bits >

The packed pixel class template.

See also
  packed_gray_pixel, packed_index_pixel

## Constructor & Destructor Documentation

## ◆ packed_pixel()

template<int bits>

png::packed_pixel< bits >::packed_pixel | ( | byte | value = 0 | ) |
| inline

References get_bit_mask().

Referenced by png::packed_gray_pixel< 1 >::packed_gray_pixel(), and png::packed_index_pixel< 1 >::packed_index_pixel().

## Member Function Documentation

## ◆ operator byte()

template<int bits>

png::packed_pixel< bits >::operator byte | ( |  | ) | const
| inline

## ◆ get_bit_depth()

template<int bits>

int png::packed_pixel< bits >::get_bit_depth | ( |  | ) |
| inline static

## ◆ get_bit_mask()

template<int bits>

byte png::packed_pixel< bits >::get_bit_mask | ( |  | ) |
| inline static

Referenced by packed_pixel().

The documentation for this class was generated from the following file:

- packed_pixel.hpp